## org.red5.logging
Class ContextLoggingListener

    java.lang.Object
      org.red5.logging.ContextLoggingListener

All Implemented Interfaces:
  EventListener, javax.servlet.ServletContextListener

    public class ContextLoggingListener

extends Object
implements javax.servlet.ServletContextListener

A servlet context listener that puts this contexts LoggerContext into a static map of logger contexts within an overall singleton log context selector. To use it, add the following line to a web.xml file

            <listener>
                    <listener-class>org.red5.logging.ContextLoggingListener</listener-class>
            </listener>

Author:
  Paul Gregoire (mondain@gmail.com)

Constructor Summary
`ContextLoggingListener()`

Method Summary
`void` `contextDestroyed(javax.servlet.ServletContextEvent event)`
`void` `contextInitialized(javax.servlet.ServletContextEvent event)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ContextLoggingListener

    public ContextLoggingListener()

Method Detail

### contextDestroyed

    public void contextDestroyed(javax.servlet.ServletContextEvent event)

  Specified by:
    `contextDestroyed` in interface `javax.servlet.ServletContextListener`

### contextInitialized

    public void contextInitialized(javax.servlet.ServletContextEvent event)

  Specified by:
    `contextInitialized` in interface `javax.servlet.ServletContextListener`

Copyright © 2006-2010 The Red5 Project